phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dan Di Spaltro <dan.dispal...@gmail.com>
Subject Re: Dependency issue with 4.1.0-RC1
Date Thu, 28 Aug 2014 02:05:52 GMT
I totally get that.  I've used all that before.  What my original email is
trying to show was that the declaration from the "
org.apache.phoenix:phoenix-hadoop-compat:4.1.0" artifact is requesting the
compat artifact from hbase with missing version information.  This doesn't
look like a hbase related issue, but maybe I am mis-interpreting it.


On Wed, Aug 27, 2014 at 3:40 PM, Nick Dimiduk <ndimiduk@gmail.com> wrote:

> Also, make sure you're using -hadoopX as part of the version, not in a
> classifier. Have a look at the example here:
>
> http://mvnrepository.com/artifact/org.apache.hbase/hbase/0.98.5-hadoop2
>
>
> On Wed, Aug 27, 2014 at 3:39 PM, Nick Dimiduk <ndimiduk@gmail.com> wrote:
>
> > In HBase, we run the mentioned script. This script generates new poms for
> > each module with the correct versions filled in. When a build is
> published
> > that did *not* used this script, you can land in a situation where the
> > compat module is broken for consumers. See the thread at the end of this
> > ticket [0] between myself an André for an example of what happens when
> the
> > script is not used.
> >
> > [0]: https://issues.apache.org/jira/browse/HBASE-11118
> >
> >
> > On Wed, Aug 27, 2014 at 1:51 PM, Dan Di Spaltro <dan.dispaltro@gmail.com
> >
> > wrote:
> >
> >> Nope this is the published 098.5 release. I am guessing its because in
> the
> >> parent pom you set the version explicitly since you do the different
> >> profiles, but in the child pom you don't. Then again my maven foo isn't
> >> great.
> >>
> >> -Dan
> >> sent from my mobile.
> >> On Aug 27, 2014 11:32 AM, "Nick Dimiduk" <ndimiduk@gmail.com> wrote:
> >>
> >> > Hi Dan,
> >> >
> >> > I take it you're trying to work against a local build of HBase, is
> that
> >> > correct?
> >> >
> >> > If that's the case, make sure you build HBase from the poms generated
> by
> >> > the script HBASE_SANDBOX/dev-support/generate-hadoopX-poms.sh . You'll
> >> need
> >> > to use this script to generate poms for your target hadoop version
> >> (looks
> >> > like hadoop2?) See comments in that script, and also some info in the
> >> book
> >> > [0] for details.
> >> >
> >> > -n
> >> >
> >> > [0]: http://hbase.apache.org/book/releasing.html#d4143e19601
> >> >
> >> >
> >> > On Tue, Aug 26, 2014 at 10:32 PM, Dan Di Spaltro <
> >> dan.dispaltro@gmail.com>
> >> > wrote:
> >> >
> >> > > It looks like the version information from pom's isn't being passed
> >> down.
> >> > >  This is an ivy report, from SBT, so it could either be some Maven
> >> foo is
> >> > > screwing up Ivy's resolver or there is just a bug.  Thoughts?
> >> > >
> >> > >
> >> > > working@sweettea is my machine.
> >> > >
> >> > > [info]   +-org.apache.phoenix:phoenix-hadoop-compat:4.1.0
> >> > > [info]   | +-com.google.guava:guava:14.0.1
> >> > > [info]   | +-log4j:log4j:1.2.17
> >> > > [info]   | +-org.apache.hbase:hbase-common:0.98.5-hadoop2
> >> > > [info]   | |
> >> +-com.github.stephenc.findbugs:findbugs-annotations:1.3.9-1
> >> > > [info]   | | +-com.google.guava:guava:14.0.1
> >> > > [info]   | | +-com.google.protobuf:protobuf-java:2.5.0
> >> > > [info]   | | +-commons-codec:commons-codec:1.7
> >> > > [info]   | | +-commons-collections:commons-collections:3.2.1
> >> > > [info]   | | +-commons-io:commons-io:2.4
> >> > > [info]   | | +-commons-lang:commons-lang:2.6
> >> > > [info]   | | +-commons-logging:commons-logging:1.1.1 (evicted by:
> >> 1.1.3)
> >> > > [info]   | | +-commons-logging:commons-logging:1.1.3
> >> > > [info]   | | +-junit:junit:4.11
> >> > > [info]   | | | +-org.hamcrest:hamcrest-core:1.3
> >> > > [info]   | | |
> >> > > [info]   | | +-log4j:log4j:1.2.17
> >> > > [info]   | |
> >> > > [info]   | +-org.apache.hbase:hbase-common:working@sweettea
> (evicted
> >> by:
> >> > > 0.98.5-hadoop2)
> >> > > [info]   | +-org.apache.hbase:hbase-hadoop-compat:working@sweettea
> >> > (error:
> >> > > not found)
> >> > >
> >> > > --
> >> > > Dan Di Spaltro
> >> > >
> >> >
> >>
> >
> >
>



-- 
Dan Di Spaltro

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message